> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an Account

export const ExpandableFieldsQueryParams = (resource_type = 'all') => {
  const entity = [{
    name: 'connect',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/connect/overview#connect-objects">Connect Object</a>.</>
  }, {
    name: 'credit_score',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/credit-scores/overview#creditscore-objects">CreditScore Object</a>.</>
  }, {
    name: 'attribute',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/attributes/overview#attribute-objects">Attribute Object</a>.</>
  }, {
    name: 'vehicle',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/vehicles/overview#vehicle-objects">Vehicle Object</a>.</>
  }, {
    name: 'identity_latest_verification_session',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/verification-sessions/overview#entity-verification-session-objects">EntityVerificationSession Object</a>.</>
  }, {
    name: 'phone_latest_verification_session',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/verification-sessions/overview#entity-verification-session-objects">EntityVerificationSession Object</a>.</>
  }];
  const account = [{
    name: 'sensitive',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/sensitive/overview#sensitive-objects">Sensitive Object</a>.</>
  }, {
    name: 'balance',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/balances/overview#balances-objects">Balance Object</a>.</>
  }, {
    name: 'card_brand',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/card-brands/overview#cardbrand-objects">CardBrand Object</a>.</>
  }, {
    name: 'attribute',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/attributes/overview#attribute-objects">Attribute Object</a>.</>
  }, {
    name: 'payoff',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/payoffs/overview#payoff-objects">Payoff Object</a>.</>
  }, {
    name: 'transaction',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/transactions/overview#transaction-objects">Transaction Object</a>.</>
  }, {
    name: 'update',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/updates/overview#update-objects">Update Object</a>.</>
  }, {
    name: 'payment_instrument',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/payment-instruments/overview#paymentinstrument-objects">PaymentInstrument Object</a>.</>
  }, {
    name: 'latest_verification_session',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/verification-sessions/overview#accountverificationsession-objects">AccountVerificationSession Object</a>.</>
  }, {
    name: 'liability.mch_id',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/merchants/overview">Merchant Object</a>.</>
  }];
  const ExpandableFieldsByResourceType = {
    entity,
    account,
    all: Array.from(new Set([...entity, ...account]))
  };
  return {
    name: "expand",
    type: "enum[]",
    description: <>
      Attributes that can be expanded into an object to
      provide additional information.
      </>,
    enums: [...ExpandableFieldsByResourceType[resource_type].map(expandable_field => ({
      ...expandable_field
    }))]
  };
};

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Returns the Account associated with the ID.

## Path Parameters

<ParamList
  items={[
{
name: 'acc_id',
type: 'string',
required: true,
description: 'ID of the Account.',
},
]}
/>

## Query Parameters

<ParamList items={[ExpandableFieldsQueryParams('account')]} />

## Returns

Returns the Account associated with the ID.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/accounts/acc_Zc4F2aTLt8CBt \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const account = await method
    .accounts
    .retrieve('acc_Zc4F2aTLt8CBt');
  ```

  ```python Python theme={null}
  account = method
    .accounts
    .retrieve('acc_Zc4F2aTLt8CBt')
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "acc_Zc4F2aTLt8CBt",
    "holder_id": "ent_y1a9e1fbnJ1f3",
    "status": "active",
    "type": "liability",
    "liability": {
      "mch_id": "mch_302086",
      "mask": "1580",
      "ownership": "primary",
      "fingerprint": "27d5c0ea28338619192076d150eb7b56c288f9a1",
      "type": "credit_card",
      "sub_type": "secured",
      "name": "Chase Sapphire Reserve Credit Card"
    },
    "latest_verification_session": "avf_tB9mpmew8FLit",
    "update": "upt_TXDTR7Amyz7Az",
    "balance": "bal_dGCCNWHMQYRay",
    "card_brand": "crd_eVMDNUPfrFk3e",
    "payment_instrument": "pmt_inst_pd788hPVhLT37",
    "products": ["balance", "card_brand", "update", "payment", "payment_instrument.card", "payment_instrument.network_token", "payment_instrument.inbound_achwire_payment"],
    "restricted_products": ["attribute", "sensitive"],
    "subscriptions": [],
    "available_subscriptions": ["update.snapshot", "update"],
    "restricted_subscriptions": ["transaction"],
    "error": null,
    "metadata": null,
    "created_at": "2024-04-12T18:57:57.857Z",
    "updated_at": "2024-04-12T18:57:58.430Z"
  }
  ```
</ResponseExample>
